*,
*::after,
*::before {
    margin: 0;
    padding: 0;
    outline: 0;
    border: none;
    text-decoration: none !important;
    list-style: none;
    box-sizing: border-box;
}

::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-track {
    background: var(--text-color);
}

::-webkit-scrollbar-thumb {
    background: var(--bg-color);
    border-radius: 20px;
}

img,
video {
    width: 100%;
}

body {
    overflow-x: hidden;
    overflow-y: auto;
    background-color: var(--bg-color);
    color: var(--text-color);
}

body[dir="rtl"] {
    font-family: "Alexandria", sans-serif;
}

body[dir="ltr"] {
    font-family: "Montserrat", sans-serif;
}

[id*="_ar"] {
    direction: rtl;
    text-align: right;
    font-family: "Alexandria", sans-serif;
}

[id*="_en"] {
    direction: ltr;
    text-align: left;
    font-family: "Montserrat", sans-serif;
}

img {
    -webkit-user-drag: none;
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    pointer-events: none;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
}

.row {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}

.alert {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 9999999;
    max-width: 280px;
}

.hasVerifiedEmail {
    width: 100%;
    height: 100%;
    min-height: 80vh;
    max-width: 400px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: auto;
    text-align: center;
    gap: 10px;
    color: var(--bs-danger);
    font-weight: bold;
}

textarea {
    resize: none;
    height: 150px;
}

.section_main {
    min-height: 75vh;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}

.img_blog {
    position: relative;
    width: 100px;
    height: 100px;
    overflow: hidden;
    border-radius: 50%;
}

.img_blog input {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    opacity: 0;
    cursor: pointer;
}

.img_blog input[type="file"] {
    border: 0;
    border-radius: 0;
    padding: 0;
    margin-top: 0;
}


.img_blog img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    padding: 5px;
    border-radius: 50%;
}

.img_blog .upload {
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 30px;
    height: 30px;
    background: var(--text-color);
    color: #fff;
    border-radius: 50%;
    padding: 5px;
    cursor: pointer;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
}

.img_blog .upload:hover {
    opacity: 0.7;
}

/* Offcanvas Support */
body[dir="rtl"] .modal-header .btn-close {
    margin: calc(-.5 * var(--bs-modal-header-padding-y)) auto calc(-.5 * var(--bs-modal-header-padding-x)) calc(-.5 * var(--bs-modal-header-padding-y));
}

.accordion-item {
    border: var(--bs-accordion-border-width) solid var(--text-color) !important;
}

body[dir="rtl"] .accordion-button::after {
    margin-left: 0;
    margin-right: auto;
}

body[dir="rtl"] .navbar-nav {
    direction: rtl;
}

.accordion-button:not(.collapsed)::after {
    filter: brightness(0) invert(1);
}

body[data-theme="dark"] .accordion-button::after,
.accordion-button.collapsed::after {
    filter: brightness(0);
}

body[data-theme="dark"] .accordion-button.collapsed::after {
    filter: brightness(0) invert(1);
}

.custom-accordion-button::after {
    display: none !important;
}

.accordion-button:focus,
.accordion-button:focus-visible {
    box-shadow: none !important;
}

.navbar-toggler {
    border-radius: 50%;
    border: var(--bs-border-width) solid var(--navbar-text-color);
    filter: brightness(0) invert(1);
}

.click_eye {
    cursor: pointer;
}

.input-group-text {
    border-radius: 0;
    border-color: var(--text-color);
    background-color: var(--bg-color);
    color: var(--text-color);
}

/* navbar */
.navbar {
    background-color: var(--navbar-bg-color);
    color: var(--navbar-text-color);
    box-shadow: 0 0 2px var(--text-color);
}

.footer {
    background-color: var(--footer-bg-color);
    color: var(--footer-text-color);
}

.footer a {
    color: var(--footer-text-color);
}

.footer a:hover {
    color: var(--bg-color) !important;
}

.navbar .offcanvas {
    background-color: var(--navbar-bg-color);
    color: var(--navbar-text-color);
}

.navbar .nav-link {
    color: var(--navbar-text-color);
}

.navbar .nav-link.active {
    font-weight: bold;
}

.text-custom {
    color: var(--text-color) !important;
}

/* Form Controls */
.form-control,
.form-select {
    background-color: var(--bg-color);
    color: var(--text-color);
    border-color: var(--text-color);
    box-shadow: none;
    border-radius: 0;
}

.form-control:focus,
.form-select:focus {
    background-color: var(--bg-color);
    color: var(--text-color);
    border-color: var(--text-color);
    box-shadow: none;
}

/* Theme Toggle Button */
#theme-toggle:hover {
    transform: rotate(20deg);
}

body[data-theme="dark"] #theme-toggle .bi-moon {
    display: none;
}

body[data-theme="dark"] #theme-toggle .bi-sun-fill {
    display: inline-block;
}

body[data-theme="light"] #theme-toggle .bi-sun-fill {
    display: none;
}

body[data-theme="light"] #theme-toggle .bi-moon {
    display: inline-block;
}

a.nav-link.active {
    background-color: var(--text-color) !important;
    color: var(--bg-color) !important;
}

a:hover {
    color: var(--text-color);
    opacity: 0.8;
}

.navbar-toggler:focus {
    box-shadow: none;
}

.navbar-toggler-icon {
    width: 1.2em;
    height: 1.2em;
}

.accordion {
    --bs-accordion-active-bg: var(--text-color) !important;
    --bs-accordion-active-color: var(--bg-color) !important;
    --bs-accordion-active-border-color: var(--text-color) !important;
}

.btn {
    transition: all 0.5s ease-in-out;
}

.btn-primary {
    --bs-btn-bg: var(--text-color) !important;
    --bs-btn-border-color: var(--text-color) !important;
    --bs-btn-color: var(--bg-color) !important;
}

.btn-primary:hover,
.btn-primary.active {
    color: var(--text-color);
    background-color: var(--bg-color);
    border-color: var(--text-color);
    opacity: 0.8;
}

a {
    color: var(--text-color);
}

footer {
    box-shadow: 0 -1px 2px var(--text-color);
}

.footer .breadcrumb-item.active {
    color: var(--footer-text-color);
}

.page-link {
    color: var(--text-color);
    border-color: var(--text-color) !important;
    border-radius: 0 !important;
}

.pagination {
    --bs-pagination-active-bg: var(--text-color) !important;
    --bs-pagination-active-color: var(--bg-color) !important;
    --bs-pagination-active-border-color: var(--text-color) !important;
}

.btn-outline-primary {
    --bs-btn-border-color: var(--text-color) !important;
    --bs-btn-color: var(--text-color) !important;
    --bs-btn-hover-bg: var(--text-color) !important;
    --bs-btn-hover-border-color: var(--text-color) !important;
    --bs-btn-hover-color: var(--bg-color) !important;
}

.btn-outline-primary.active {
    color: var(--bg-color);
    background-color: var(--text-color);
    border: none !important;
}

.bg-primary {
    background-color: var(--text-color) !important;
    color: var(--bg-color) !important;
}

.input-group .btn {
    border-radius: 0 !important;
}

.shadow-sm {
    box-shadow: 0 0 1px var(--text-color) !important;
}

.form-check-input[type=radio] {
    border-radius: 3px !important;
    border-color: var(--text-color) !important;
}

.form-check-input[type=checkbox] {
    border-color: var(--text-color) !important;
}

.form-check-input:focus,
.form-check-input:active {
    box-shadow: none !important;
}

.form-check-input:checked {
    background-color: var(--text-color) !important;
    border-color: var(--text-color) !important;
}

.form-check-input:checked[type=radio] {
    background-image: none !important;
    position: relative;
}

.form-check-input:checked[type=radio]::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 0.40rem;
    height: 0.70rem;
    border-right: 2px solid var(--bg-color);
    border-bottom: 2px solid var(--bg-color);
    transform: translate(-50%, -55%) rotate(45deg);
}

body[dir="rtl"] .form-check {
    padding-left: 0;
    padding-right: 1.5em;
}

body[dir="rtl"] .form-check .form-check-input {
    float: right;
    margin-left: 0;
    margin-right: -1.5em;
}

body[dir="rtl"] .form-switch {
    padding-left: 0;
    padding-right: 2.5em;
}

body[dir="rtl"] .form-switch .form-check-input {
    float: right;
    margin-left: 0;
    margin-right: -2.5em;
}

.form-check-label {
    width: 100%;
}

.product-img-wrapper.col-4 img {
    width: 90%;
}

.card {
    background-color: var(--bg-color);
    color: var(--text-color);
    border-radius: 0;
}

.select2-container--default .select2-selection--single {
    background-color: var(--bg-color) !important;
    border: 1px solid var(--text-color) !important;
    border-radius: 0 !important;
}

.select2-container--default .select2-selection--single .select2-selection__placeholder {
    color: var(--text-color) !important;
}

.select2-container .select2-selection--single {
    height: auto !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: var(--text-color) !important;
    line-height: 28px;
    padding-top: 4px;
    padding-bottom: 4px;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 100% !important;
    top: 0 !important;
}

body[dir="rtl"] .select2-container--default .select2-selection--single .select2-selection__clear {
    float: left !important;
    height: auto !important;
    margin-right: 0;
    margin-left: 20px !important;
}

.select2-container {
    width: auto !important;
}

@media (max-width: 768px) {
    .logo {
        max-width: 50% !important;
    }

    .fs-10 {
        font-size: 10px !important;
    }

    .fs-11 {
        font-size: 11px !important;
    }

    .fs-12 {
        font-size: 12px !important;
    }

    .fs-13 {
        font-size: 13px !important;
    }

    .fs-14 {
        font-size: 14px !important;
    }

    .fs-15 {
        font-size: 15px !important;
    }

    .fs-16 {
        font-size: 16px !important;
    }

    .fs-17 {
        font-size: 17px !important;
    }

    .fs-18 {
        font-size: 18px !important;
    }

    .fs-19 {
        font-size: 19px !important;
    }

    .fs-20 {
        font-size: 20px !important;
    }

    .fs-22 {
        font-size: 22px !important;
    }

    .fs-24 {
        font-size: 24px !important;
    }

    .fs-25 {
        font-size: 25px !important;
    }

    .accordion-button,
    .small {
        font-size: 11px !important;
    }
}